algorithmic modeling for Rhino
Tags:
Just came across and saw Ursula's version don't work on new 0.9.0064 version so I upload python component.
===========================
import rhinoscriptsyntax as rs
import Rhino as rc
a = []
b = []
c = rs.coercecurve(crv)
i = rc.Geometry.Interval(0,1)
rc.Geometry.Curve.Domain.SetValue(c,i)
if (Density span class="s4">2):
Density == 2
ScaleFactor = -Scale
for i in range(0, Density):
Normal = crv.CurvatureAt(i/Density)
Point = crv.PointAt(i/Density)
a.append(Point)
b.append(Point + Normal*ScaleFactor)
===========================
Hej kao.gene, very cool. Thank you very much. One very litte improvement ...
for i in range (0, Density+1)
... will include the last segment of the curve.
Thanks a lot! I just updated the components and cleaned some grafts, I'm uploading an updated version of yours.
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by